package com.seeyon.apps.esign.po.auth;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class PsnAuthPageConfig {
    private String psnDefaultAuthMode;
    private List<String> psnAvailableAuthModes;
    private List<String> advancedVersion;
    private List<String> psnEditableFields;

    public String getPsnDefaultAuthMode() {
        return psnDefaultAuthMode;
    }

    public void setPsnDefaultAuthMode(String psnDefaultAuthMode) {
        this.psnDefaultAuthMode = psnDefaultAuthMode;
    }

    public List<String> getPsnAvailableAuthModes() {
        return psnAvailableAuthModes;
    }

    public void setPsnAvailableAuthModes(List<String> psnAvailableAuthModes) {
        this.psnAvailableAuthModes = psnAvailableAuthModes;
    }

    public List<String> getAdvancedVersion() {
        return advancedVersion;
    }

    public void setAdvancedVersion(List<String> advancedVersion) {
        this.advancedVersion = advancedVersion;
    }

    public List<String> getPsnEditableFields() {
        return psnEditableFields;
    }

    public void setPsnEditableFields(List<String> psnEditableFields) {
        this.psnEditableFields = psnEditableFields;
    }
}
